# SPDX-FileCopyrightText: 2024 Justin Myers
#
# SPDX-License-Identifier: MIT
"""
Board stub for Espressif ESP32 DevKitc V4 WROOM-32E
 - port: espressif
 - board_id: espressif_esp32_devkitc_v4_wroom_32e
 - NVM size: 8192
 - Included modules: _asyncio, _pixelmap, adafruit_bus_device, adafruit_pixelbuf, aesio, alarm, analogbufio, analogio, array, atexit, audiobusio, audiocore, audioio, audiomixer, audiomp3, binascii, bitbangio, bitmaptools, board, builtins, builtins.pow3, busdisplay, busio, busio.SPI, busio.UART, canio, codeop, collections, countio, digitalio, displayio, dualbank, epaperdisplay, errno, espidf, espnow, espulp, fontio, fourwire, framebufferio, frequencyio, getpass, gifio, hashlib, i2cdisplaybus, io, ipaddress, jpegio, json, keypad, keypad.KeyMatrix, keypad.Keys, keypad.ShiftRegisterKeys, keypad_demux, keypad_demux.DemuxKeyMatrix, locale, math, max3421e, mdns, memorymap, microcontroller, msgpack, neopixel_write, nvm, onewireio, os, os.getenv, paralleldisplaybus, ps2io, pulseio, pwmio, rainbowio, random, re, rotaryio, rtc, sdcardio, select, sharpdisplay, socketpool, socketpool.socketpool.AF_INET6, ssl, storage, struct, supervisor, synthio, sys, terminalio, tilepalettemapper, time, touchio, traceback, ulab, usb, vectorio, warnings, watchdog, wifi, zlib
 - Frozen libraries: 
"""

# Imports
import microcontroller


# Board Info:
board_id: str


# Pins:
CLK: microcontroller.Pin  # GPIO6
IO6: microcontroller.Pin  # GPIO6
D0: microcontroller.Pin  # GPIO7
IO7: microcontroller.Pin  # GPIO7
D1: microcontroller.Pin  # GPIO8
IO8: microcontroller.Pin  # GPIO8
IO15: microcontroller.Pin  # GPIO15
IO2: microcontroller.Pin  # GPIO2
IO0: microcontroller.Pin  # GPIO0
IO4: microcontroller.Pin  # GPIO4
IO16: microcontroller.Pin  # GPIO16
IO17: microcontroller.Pin  # GPIO17
IO5: microcontroller.Pin  # GPIO5
IO18: microcontroller.Pin  # GPIO18
IO19: microcontroller.Pin  # GPIO19
IO21: microcontroller.Pin  # GPIO21
IO3: microcontroller.Pin  # GPIO3
RX: microcontroller.Pin  # GPIO3
IO1: microcontroller.Pin  # GPIO1
TX: microcontroller.Pin  # GPIO1
IO22: microcontroller.Pin  # GPIO22
IO23: microcontroller.Pin  # GPIO23
CMD: microcontroller.Pin  # GPIO11
IO11: microcontroller.Pin  # GPIO11
D3: microcontroller.Pin  # GPIO10
IO10: microcontroller.Pin  # GPIO10
D2: microcontroller.Pin  # GPIO9
IO9: microcontroller.Pin  # GPIO9
IO13: microcontroller.Pin  # GPIO13
IO12: microcontroller.Pin  # GPIO12
IO14: microcontroller.Pin  # GPIO14
IO27: microcontroller.Pin  # GPIO27
IO26: microcontroller.Pin  # GPIO26
IO25: microcontroller.Pin  # GPIO25
IO33: microcontroller.Pin  # GPIO33
IO32: microcontroller.Pin  # GPIO32
I35: microcontroller.Pin  # GPIO35
I34: microcontroller.Pin  # GPIO34
I39: microcontroller.Pin  # GPIO39
VN: microcontroller.Pin  # GPIO39
I36: microcontroller.Pin  # GPIO36
VP: microcontroller.Pin  # GPIO36
BUTTON: microcontroller.Pin  # GPIO0
BOOT0: microcontroller.Pin  # GPIO0


# Members:

# Unmapped:
#   none
