# SPDX-FileCopyrightText: 2024 Justin Myers
#
# SPDX-License-Identifier: MIT
"""
Board stub for MAX32690 EvKit
 - port: analog
 - board_id: max32690evkit
 - NVM size: Unknown
 - Included modules: _asyncio, aesio, array, atexit, binascii, bitbangio, board, builtins, builtins.pow3, codeop, collections, digitalio, errno, getpass, io, json, locale, math, microcontroller, msgpack, os, os.getenv, rainbowio, re, select, storage, struct, supervisor, sys, time, touchio, traceback, ulab, usb_cdc, usb_hid, usb_midi, warnings, zlib
 - Frozen libraries: 
"""

# Imports
import microcontroller


# Board Info:
board_id: str


# Pins:
P0_0: microcontroller.Pin  # P0_00
P0_1: microcontroller.Pin  # P0_01
P0_2: microcontroller.Pin  # P0_02
P0_3: microcontroller.Pin  # P0_03
P0_4: microcontroller.Pin  # P0_04
P0_5: microcontroller.Pin  # P0_05
P0_6: microcontroller.Pin  # P0_06
P0_7: microcontroller.Pin  # P0_07
P0_8: microcontroller.Pin  # P0_08
P0_9: microcontroller.Pin  # P0_09
P0_10: microcontroller.Pin  # P0_10
P0_11: microcontroller.Pin  # P0_11
P0_12: microcontroller.Pin  # P0_12
P0_13: microcontroller.Pin  # P0_13
P0_14: microcontroller.Pin  # P0_14
P0_15: microcontroller.Pin  # P0_15
P0_16: microcontroller.Pin  # P0_16
P0_17: microcontroller.Pin  # P0_17
P0_18: microcontroller.Pin  # P0_18
P0_19: microcontroller.Pin  # P0_19
P0_20: microcontroller.Pin  # P0_20
P0_21: microcontroller.Pin  # P0_21
P0_22: microcontroller.Pin  # P0_22
P0_23: microcontroller.Pin  # P0_23
P0_24: microcontroller.Pin  # P0_24
P0_25: microcontroller.Pin  # P0_25
P0_26: microcontroller.Pin  # P0_26
P0_27: microcontroller.Pin  # P0_27
P0_28: microcontroller.Pin  # P0_28
P0_29: microcontroller.Pin  # P0_29
P0_30: microcontroller.Pin  # P0_30
P0_31: microcontroller.Pin  # P0_31
P1_0: microcontroller.Pin  # P1_00
P1_1: microcontroller.Pin  # P1_01
P1_2: microcontroller.Pin  # P1_02
P1_3: microcontroller.Pin  # P1_03
P1_4: microcontroller.Pin  # P1_04
P1_5: microcontroller.Pin  # P1_05
P1_6: microcontroller.Pin  # P1_06
P1_7: microcontroller.Pin  # P1_07
P1_8: microcontroller.Pin  # P1_08
P1_9: microcontroller.Pin  # P1_09
P1_10: microcontroller.Pin  # P1_10
P1_11: microcontroller.Pin  # P1_11
P1_12: microcontroller.Pin  # P1_12
P1_13: microcontroller.Pin  # P1_13
P1_14: microcontroller.Pin  # P1_14
P1_15: microcontroller.Pin  # P1_15
P1_16: microcontroller.Pin  # P1_16
P1_17: microcontroller.Pin  # P1_17
P1_18: microcontroller.Pin  # P1_18
P1_19: microcontroller.Pin  # P1_19
P1_20: microcontroller.Pin  # P1_20
P1_21: microcontroller.Pin  # P1_21
P1_22: microcontroller.Pin  # P1_22
P1_23: microcontroller.Pin  # P1_23
P1_24: microcontroller.Pin  # P1_24
P1_25: microcontroller.Pin  # P1_25
P1_26: microcontroller.Pin  # P1_26
P1_27: microcontroller.Pin  # P1_27
P1_28: microcontroller.Pin  # P1_28
P1_29: microcontroller.Pin  # P1_29
P1_30: microcontroller.Pin  # P1_30
P1_31: microcontroller.Pin  # P1_31
P2_0: microcontroller.Pin  # P2_00
P2_1: microcontroller.Pin  # P2_01
P2_2: microcontroller.Pin  # P2_02
P2_3: microcontroller.Pin  # P2_03
P2_4: microcontroller.Pin  # P2_04
P2_5: microcontroller.Pin  # P2_05
P2_6: microcontroller.Pin  # P2_06
P2_7: microcontroller.Pin  # P2_07
P2_8: microcontroller.Pin  # P2_08
P2_9: microcontroller.Pin  # P2_09
P2_10: microcontroller.Pin  # P2_10
P2_11: microcontroller.Pin  # P2_11
P2_12: microcontroller.Pin  # P2_12
P2_13: microcontroller.Pin  # P2_13
P2_14: microcontroller.Pin  # P2_14
P2_15: microcontroller.Pin  # P2_15
P2_16: microcontroller.Pin  # P2_16
P2_17: microcontroller.Pin  # P2_17
P2_18: microcontroller.Pin  # P2_18
P2_19: microcontroller.Pin  # P2_19
P2_20: microcontroller.Pin  # P2_20
P2_21: microcontroller.Pin  # P2_21
P2_22: microcontroller.Pin  # P2_22
P2_23: microcontroller.Pin  # P2_23
P2_24: microcontroller.Pin  # P2_24
P2_25: microcontroller.Pin  # P2_25
P2_26: microcontroller.Pin  # P2_26
P2_27: microcontroller.Pin  # P2_27
P2_28: microcontroller.Pin  # P2_28
P2_29: microcontroller.Pin  # P2_29
P2_30: microcontroller.Pin  # P2_30
P2_31: microcontroller.Pin  # P2_31
P3_0: microcontroller.Pin  # P3_00
P3_1: microcontroller.Pin  # P3_01
P3_2: microcontroller.Pin  # P3_02
P3_3: microcontroller.Pin  # P3_03
P3_4: microcontroller.Pin  # P3_04
P3_5: microcontroller.Pin  # P3_05
P3_6: microcontroller.Pin  # P3_06
P3_7: microcontroller.Pin  # P3_07
P3_8: microcontroller.Pin  # P3_08
P3_9: microcontroller.Pin  # P3_09
P4_0: microcontroller.Pin  # P4_00
P4_1: microcontroller.Pin  # P4_01
LED0: microcontroller.Pin  # P0_14
LED1: microcontroller.Pin  # P2_12
PB0: microcontroller.Pin  # P4_00


# Members:

# Unmapped:
#   none
