# SPDX-FileCopyrightText: 2024 Justin Myers
#
# SPDX-License-Identifier: MIT
"""
Board stub for micro:bit v2
 - port: nordic
 - board_id: microbit_v2
 - NVM size: 8192
 - Included modules: _bleio, alarm, analogio, array, audiobusio, audiocore, audiomixer, audiopwmio, board, builtins, busio, busio.SPI, busio.UART, collections, digitalio, math, microcontroller, neopixel_write, nvm, onewireio, os, pulseio, pwmio, rainbowio, random, rotaryio, rtc, storage, struct, supervisor, sys, time, touchio
 - Frozen libraries: 
"""

# Imports
import microcontroller


# Board Info:
board_id: str


# Pins:
P0: microcontroller.Pin  # P0_02
P1: microcontroller.Pin  # P0_03
P2: microcontroller.Pin  # P0_04
P3: microcontroller.Pin  # P0_31
P4: microcontroller.Pin  # P0_28
BTN_A: microcontroller.Pin  # P0_14
P5: microcontroller.Pin  # P0_14
P6: microcontroller.Pin  # P1_05
P7: microcontroller.Pin  # P0_11
P8: microcontroller.Pin  # P0_10
P9: microcontroller.Pin  # P0_09
P10: microcontroller.Pin  # P0_30
BTN_B: microcontroller.Pin  # P0_23
P11: microcontroller.Pin  # P0_23
P12: microcontroller.Pin  # P0_12
P13: microcontroller.Pin  # P0_17
SCK: microcontroller.Pin  # P0_17
P14: microcontroller.Pin  # P0_01
MISO: microcontroller.Pin  # P0_01
P15: microcontroller.Pin  # P0_13
MOSI: microcontroller.Pin  # P0_13
P16: microcontroller.Pin  # P0_05
P19: microcontroller.Pin  # P0_08
SCL: microcontroller.Pin  # P0_08
P20: microcontroller.Pin  # P0_16
SDA: microcontroller.Pin  # P0_16
INTERNAL_SCL: microcontroller.Pin  # P0_26
INTERNAL_SDA: microcontroller.Pin  # P1_00
INTERNAL_INTERRUPT: microcontroller.Pin  # P0_25
MICROPHONE_ENABLE: microcontroller.Pin  # P0_20
MICROPHONE: microcontroller.Pin  # P0_05
SPEAKER: microcontroller.Pin  # P0_00
RX: microcontroller.Pin  # P0_06
TX: microcontroller.Pin  # P1_08
LOGO: microcontroller.Pin  # P1_04
COL1: microcontroller.Pin  # P0_28
COL2: microcontroller.Pin  # P0_11
COL3: microcontroller.Pin  # P0_31
COL4: microcontroller.Pin  # P1_05
COL5: microcontroller.Pin  # P0_30
ROW1: microcontroller.Pin  # P0_21
ROW2: microcontroller.Pin  # P0_22
ROW3: microcontroller.Pin  # P0_15
ROW4: microcontroller.Pin  # P0_24
ROW5: microcontroller.Pin  # P0_19


# Members:

# Unmapped:
#   none
