# SPDX-FileCopyrightText: 2024 Justin Myers
#
# SPDX-License-Identifier: MIT
"""
Board stub for takayoshiotake Octave RP2040
 - port: raspberrypi
 - board_id: takayoshiotake_octave_rp2040
 - NVM size: 4096
 - Included modules: _asyncio, _bleio, _pixelmap, adafruit_bus_device, adafruit_pixelbuf, aesio, alarm, analogbufio, analogio, array, atexit, audiobusio, audiocore, audiomixer, audiomp3, audiopwmio, binascii, bitbangio, bitmapfilter, bitmaptools, bitops, board, builtins, builtins.pow3, busdisplay, busio, busio.SPI, busio.UART, codeop, collections, countio, digitalio, displayio, epaperdisplay, errno, floppyio, fontio, fourwire, framebufferio, getpass, gifio, hashlib, i2cdisplaybus, i2ctarget, imagecapture, io, jpegio, json, keypad, keypad.KeyMatrix, keypad.Keys, keypad.ShiftRegisterKeys, keypad_demux, keypad_demux.DemuxKeyMatrix, locale, math, memorymap, microcontroller, msgpack, neopixel_write, nvm, onewireio, os, os.getenv, paralleldisplaybus, pulseio, pwmio, qrio, rainbowio, random, re, rgbmatrix, rotaryio, rp2pio, rtc, sdcardio, select, sharpdisplay, storage, struct, supervisor, synthio, sys, terminalio, tilepalettemapper, time, touchio, traceback, ulab, usb, usb_cdc, usb_hid, usb_host, usb_midi, usb_video, vectorio, warnings, watchdog, zlib
 - Frozen libraries: 
"""

# Imports
import microcontroller


# Board Info:
board_id: str


# Pins:
GPIO0: microcontroller.Pin  # GPIO0
GPIO1: microcontroller.Pin  # GPIO1
GPIO2: microcontroller.Pin  # GPIO2
GPIO3: microcontroller.Pin  # GPIO3
GPIO4: microcontroller.Pin  # GPIO4
GPIO5: microcontroller.Pin  # GPIO5
GPIO6: microcontroller.Pin  # GPIO6
GPIO7: microcontroller.Pin  # GPIO7
GPIO8: microcontroller.Pin  # GPIO8
GPIO9: microcontroller.Pin  # GPIO9
GPIO10: microcontroller.Pin  # GPIO10
GPIO11: microcontroller.Pin  # GPIO11
GPIO12: microcontroller.Pin  # GPIO12
GPIO13: microcontroller.Pin  # GPIO13
GPIO14: microcontroller.Pin  # GPIO14
GPIO15: microcontroller.Pin  # GPIO15
GPIO16: microcontroller.Pin  # GPIO16
GPIO17: microcontroller.Pin  # GPIO17
GPIO18: microcontroller.Pin  # GPIO18
GPIO19: microcontroller.Pin  # GPIO19
GPIO20: microcontroller.Pin  # GPIO20
GPIO21: microcontroller.Pin  # GPIO21
GPIO22: microcontroller.Pin  # GPIO22
GPIO23: microcontroller.Pin  # GPIO23
GPIO24: microcontroller.Pin  # GPIO24
GPIO25: microcontroller.Pin  # GPIO25
GPIO26: microcontroller.Pin  # GPIO26
GPIO27: microcontroller.Pin  # GPIO27
GPIO28: microcontroller.Pin  # GPIO28
GPIO29: microcontroller.Pin  # GPIO29
ADC0: microcontroller.Pin  # GPIO26
ADC1: microcontroller.Pin  # GPIO27
ADC2: microcontroller.Pin  # GPIO28
ADC3: microcontroller.Pin  # GPIO29
NEOPIX: microcontroller.Pin  # GPIO12
NEOPIX_POWER: microcontroller.Pin  # GPIO11


# Members:

# Unmapped:
#   none
