# SPDX-FileCopyrightText: 2024 Justin Myers
#
# SPDX-License-Identifier: MIT
"""
Board stub for Teknikio Bluebird
 - port: nordic
 - board_id: teknikio_bluebird
 - NVM size: 8192
 - Included modules: _asyncio, _bleio, _pixelmap, adafruit_bus_device, adafruit_pixelbuf, aesio, alarm, analogio, array, atexit, audiobusio, audiocore, audiomixer, audiomp3, audiopwmio, binascii, bitbangio, bitmapfilter, bitmaptools, board, builtins, builtins.pow3, busdisplay, busio, busio.SPI, busio.UART, codeop, collections, countio, digitalio, displayio, epaperdisplay, errno, fontio, fourwire, framebufferio, getpass, gifio, i2cdisplaybus, io, jpegio, json, keypad, keypad.KeyMatrix, keypad.Keys, keypad.ShiftRegisterKeys, keypad_demux, keypad_demux.DemuxKeyMatrix, locale, math, memorymap, microcontroller, msgpack, neopixel_write, nvm, onewireio, os, os.getenv, paralleldisplaybus, pulseio, pwmio, rainbowio, random, re, rgbmatrix, rotaryio, rtc, sdcardio, select, sharpdisplay, storage, struct, supervisor, synthio, sys, terminalio, tilepalettemapper, time, touchio, traceback, ulab, usb_cdc, usb_hid, usb_midi, vectorio, warnings, watchdog, zlib
 - Frozen libraries: 
"""

# Imports
import microcontroller


# Board Info:
board_id: str


# Pins:
P0_12: microcontroller.Pin  # P0_12
D9: microcontroller.Pin  # P0_12
P0_11: microcontroller.Pin  # P0_11
D14: microcontroller.Pin  # P0_11
P1_09: microcontroller.Pin  # P1_09
D8: microcontroller.Pin  # P1_09
P1_08: microcontroller.Pin  # P1_08
D13: microcontroller.Pin  # P1_08
P0_08: microcontroller.Pin  # P0_08
D12: microcontroller.Pin  # P0_08
P0_07: microcontroller.Pin  # P0_07
D11: microcontroller.Pin  # P0_07
P0_06: microcontroller.Pin  # P0_06
D7: microcontroller.Pin  # P0_06
P0_05: microcontroller.Pin  # P0_05
D5: microcontroller.Pin  # P0_05
A5: microcontroller.Pin  # P0_05
P0_04: microcontroller.Pin  # P0_04
D6: microcontroller.Pin  # P0_04
A6: microcontroller.Pin  # P0_04
P0_29: microcontroller.Pin  # P0_29
A1: microcontroller.Pin  # P0_29
D1: microcontroller.Pin  # P0_29
P0_31: microcontroller.Pin  # P0_31
A2: microcontroller.Pin  # P0_31
D2: microcontroller.Pin  # P0_31
P0_02: microcontroller.Pin  # P0_02
A3: microcontroller.Pin  # P0_02
D3: microcontroller.Pin  # P0_02
P0_03: microcontroller.Pin  # P0_03
A4: microcontroller.Pin  # P0_03
D4: microcontroller.Pin  # P0_03
NEOPIXEL: microcontroller.Pin  # P1_15
LIGHT: microcontroller.Pin  # P0_28
LIGHT_ENABLE: microcontroller.Pin  # P0_30
SPEAKER: microcontroller.Pin  # P1_14
ACCELEROMETER_INTERRUPT: microcontroller.Pin  # P1_10
ACCELEROMETER_SDA: microcontroller.Pin  # P1_12
ACCELEROMETER_SCL: microcontroller.Pin  # P1_11


# Members:

# Unmapped:
#   none
